#pragma TASS output 
int out[15];

void main () {

  int a[10];
  int b[15];
  int myrank;
  int i;
  int j;
  int tag;
  tag = 1;
  if (myrank == 0) {
    i = 0;
    while (i < 10) {
    a[i] = myrank;
    i = i+1;
    }
    send (a[10],1,tag);
  } else {
    if (myrank == 1) {
      i = 0;
      while (i < 15) {
      b[i] = myrank;
      i = i+1;
      }
      recv (b[15],0,tag);    /*use index to specify the quantity?*/     
      i = 0;
      while (i < 15) {
        out[i] = b[i];
        i = i+1;
      }
    }
  }
}